[package]
name = "bft-json-crdt"
version = "0.1.0"
edition = "2021"

[lib]
crate-type = ["lib"]

[features]
default = ["bft", "logging-list", "logging-json"]
logging-list = ["logging-base"]
logging-json = ["logging-base"]
logging-base = []
bft = []

[dependencies]
bft-crdt-derive = { path = "bft-crdt-derive" }
colored = "2.0.0"
fastcrypto = "0.1.8"
indexmap = { version = "2.2.6", features = ["serde"] }
rand = "0.8.5"
random_color = "0.6.1"
serde = { version = "1.0", features = ["derive"] }
serde_json = { version = "1.0.85", features = ["preserve_order"] }
serde_with = "3.8.1"
sha2 = "0.10.6"

[dev-dependencies]
criterion = { version = "0.4", features = ["html_reports"] }
time = "0.1"
serde = { version = "1.0", features = ["derive"] }
serde_json = { version = "1.0.85", features = ["preserve_order"] }

[[bench]]
name = "speed"
harness = false
